﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace Lecture_9_1
{
    public partial class MainPage : PhoneApplicationPage
    {
        Random rand = new Random();
        int numTaps = 0;

        public MainPage()
        {
            InitializeComponent();
            UpdatePageTitle(numTaps);
        }
        protected override void OnManipulationStarted(ManipulationStartedEventArgs args)
        {
            UpdatePageTitle(++numTaps);
            args.Complete();
            base.OnManipulationStarted(args);
        }
        void UpdatePageTitle(int numTaps)
        {
            string[] picture = new string[] { "Москва", "Париж", "Уфа", "Токио", "Нью-Йорк", "Рим", "Мадрид", "Хельсинки", "Вена", "Улан-Батор" };
            int n = picture.Length - 1;
            string str = picture[rand.Next(n)];
            ApplicationTitle.Text = "Случайный город ... " + str;
            PageTitle.Text = String.Format("Вы нажали {0} раз(а)", numTaps);
        }
    }
}